#!/bin/bash

declare -a generos

function imprime_Generos {
    #esta é a maneira como iremos acessar os dados de cada genero, aqui estou simplesmente imprimindo os valores
    quantidadeDados=${#generos[@]} #pega a quantidade de elementos que tem no vetor
    #Este primeiro for passa todo o vetor saltando de 2 em 2 posições começando do 0 e indo até o seu tamanho -2
    for i in $(seq 0 2 $[ $quantidadeDados - 2 ]);
    do
        #Este segundo for irá imprimir apenas os dados de cada genero
        for j in $(seq $i 1 $[ $i + 1 ])
        do
            echo "${generos[$j]}"
        done
        echo "---------------------------"
    done
    echo "---------------------------"
}

function criaVetor_Generos {
    posicaoLinha=0
    posicaoVetor=0
        
    #este while passa todo o arquivo midias.csv e para cada passada linha recebe a linha do arquivo 
    while read linha; do
    
        #echo "$linha"
        
        #Retorna da string tudo antes do ;
        sigla=${linha%%;*}
        #rescreve o linha deletando o que vem antes do ;
        linha=${linha#*;}
        
        nome=${linha%%;*} 
        linha=${linha#*;}
                
        #Ignora a primeira linha (Entra no if se o conteudo de posicaoLinha for diferente de 0)
        if [ $posicaoLinha -gt 0 ]; 
        then
            #generos sera um vetor que terá todos os seus respectivos valores, sao vetores simples porque o shell não permite vetor de vetor e nem ponteiros.
            #Então saberemos que o primeiro genero terminou depois de 2 posições (quantida de dados para cada genero), o segundo mais 2 e por aí vai
        
            generos[$posicaoVetor]=$sigla
		    posicaoVetor=$[ $posicaoVetor + 1 ]
		     
		    generos[$posicaoVetor]=$nome
		    posicaoVetor=$[ $posicaoVetor + 1 ]
		    
        fi
        
        posicaoLinha=$[ $posicaoLinha + 1 ]
        
    done < generos.csv
}