#!/bin/bash
function geraarquivoporpessoa {
	#variável do índice do vetor
	declare -i i=1
	#ler o conteúdo do arquivo pessoas.csv
	while read linha 
	do
		#substitui o ';' de cada linha por '\t(TAB)'
		linhasplitada=$(echo $linha | tr ';' '	' )
		#vetor com os nomes das pessoas
		vetorpessoas[$i]=${linhasplitada#*'	'}
		let i++
	done < pessoas.csv
	#for para tirar o conteúdo da primeira linha do arquivo pessoas.csv já que é lixo
	for((i=2;i<=${#vetorpessoas[@]};i++))
	do
		let c=i-1
		vetorpessoas[$c]=${vetorpessoas[$i]}
	done
	c=${#vetorpessoas[@]}
	#elimina o conteúdo da última posição do vetor vetorpessoas
	unset vetorpessoas[$c]
	#for para ler as mídias de cada pessoa
	for ((i=1;i<=${#vetorpessoas[@]};i++))
	do
		c=0 
		midiaspessoa[0]="vazio"
		#while para ler o arquivo mídias.csv		
		while read linha
		do
			#comando para formar o vetor linha_splitada a partir de linha usando ';' como separador
			IFS=';' eval 'linha_splitada=($linha)'
			#if para verificar se a pessoa analisada estar como diretor da mídia
			if [ "$i" == "${linha_splitada[3]}" ] ; then
				midiaspessoa[$c]=${linha_splitada[1]}
				let c++
			fi
			#comando para formar o vetor atores_splitado a partir de linha_splitada[4] usando ',' como separador
			IFS=',' eval 'atores_splitado=(${linha_splitada[4]})'
			#if para verificar se a pessoa analisada estar como a(u)tor da mídia
			for ((b=0;b<=${#atores_splitado[@]};b++))
			do		
				if [ "$i" == "${atores_splitado[$b]}" ] ; then
					d=0;
					#for para eliminar o caso de a mesma pessoa participar como ator e diretor da mídia e nome da mesma mídia aparecer duas vezes para a mesma pessoa
					for ((e=0;e<=${#midiaspessoa[@]};e++))
					do
						if [ "${midiaspessoa[$e]}" == "${linha_splitada[1]}" ] ; then
							d=1;
						fi
					done
					if [ $d -eq 0 ] ; then 
						midiaspessoa[$c]=${linha_splitada[1]}
						let c++
					fi
				fi
			done		
		done < midias.csv
	
		#comando para ordenar o conteúdo do vetor midiaspessoa em ordem alfabética e salvar esse conteúdo num vetor chamado midiaspessoa ordenado 
		readarray -t midiaspessoaordenado < <(for a in "${midiaspessoa[@]}"; do echo "$a"; done | sort)
		#if para concatenar o nome da pessoa com os nomes mídias que participou e salvar no vetorpessoas 
		if [ ${#midiaspessoaordenado[@]} -eq 1 ] ; then
			string=${vetorpessoas[$i]}
			string+=";"
			string+=${midiaspessoaordenado[0]}
			vetorpessoas[$i]=$string
		else
			string=${vetorpessoas[$i]}
			string+=";"
			string+=${midiaspessoaordenado[0]}
			for ((c=1;c<=${#midiaspessoaordenado[@]}-1;c++))
			do 
				string+=", "
				string+=${midiaspessoaordenado[$c]}
			done
			vetorpessoas[$i]=$string	
		fi
		#remove variável string
		unset string
		#remove variável midiaspessoa
		unset midiaspessoa
		#remove variável midiaspessoaordenado
		unset midiaspessoaordenado
	done
	#comando para ordenar o conteúdo do vetor vetorpessoas em ordem alfabética e salvar esse conteúdo num vetor auxiliar chamado sorted
	readarray -t sorted < <(for a in "${vetorpessoas[@]}"; do echo "$a"; done | sort)
	#for para salvar o conteúdo vetor sorted no vetor vetorpessoas
	for ((i=1;i<=${#vetorpessoas[@]};i++))
	do
		vetorpessoas[$i]=${sorted[$i]}
	done
	#comandos para escrever o arquivo 2-porpessoa.csv até o último comentário
	echo "Pessoa;Produção" >> "2-porpessoa.csv"
	echo ${sorted[0]} >> "2-porpessoa.csv"
	for ((i=1;i<=${#vetorpessoas[@]}-1;i++))
	do
		if [ "${vetorpessoas[$i]#*;}" != "vazio" ] ; then
			echo ${vetorpessoas[$i]} >> "2-porpessoa.csv"
		fi
	done		
	e=${#vetorpessoas[@]}
	echo|set /p ${vetorpessoas[$e]} >> "2-porpessoa.csv"
	#elimina o vetor sorted
	unset sorted
}
